# Uses of Interface
org.eclipse.compare.patch.IHunkFilter

Packages that use IHunkFilter
Package
Description
org.eclipse.compare.patch
Provides support for applying and working with patches.

## Uses of IHunkFilter in org.eclipse.compare.patch

Methods in org.eclipse.compare.patch that return IHunkFilter
Modifier and Type
Method
Description
`IHunkFilter[]`
PatchConfiguration.`getHunkFilters()`
Return an array of hunk filters that have been added to this configuration.
Methods in org.eclipse.compare.patch with parameters of type IHunkFilter
Modifier and Type
Method
Description
`void`
PatchConfiguration.`addHunkFilter(IHunkFilter filter)`
Adds a hunk filter.
`void`
PatchConfiguration.`removeHunkFilter(IHunkFilter filter)`
Removes a hunk filter.